Bug 584118 - (CVE-2010-1171) CVE-2010-1171 rhn_satellite: Improper channel comps information management
CVE-2010-1171 rhn_satellite: Improper channel comps information management
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110411,reported=20100420,sou...
: Security
Depends On: 584476 584477 584478 584479 647313 695494
Blocks: 622406
  Show dependency treegraph
 
Reported: 2010-04-20 15:23 EDT by Vincent Danen
Modified: 2013-08-02 12:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 12:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-04-20 15:23:18 EDT
RHN Satellite incorrectly exposed an obsolete XML-RPC API for
configuring package group (comps.xml) files for channels. An
authenticated user could use this flaw to gain access to
arbitrary files accessible to the RHN Satellite server process,
and prevent clients from performing certain yum operations.
Comment 3 Vincent Danen 2010-04-21 12:20:55 EDT
This issue affects all Satellite 5.x releases (5.0, 5.1, 5.2, and 5.3).
Comment 37 Jan Lieskovsky 2011-03-25 06:53:04 EDT
The preliminary embargo date for this issue has been set up to
Monday, 9-th of May, 2011.
Comment 38 Jan Lieskovsky 2011-04-04 04:55:39 EDT
(In reply to comment #37)
The preliminary embargo date for this issue has been moved to
earlier date, Monday, 11-th of April, 2011.
Comment 40 errata-xmlrpc 2011-04-11 16:24:51 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3
  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0434 https://rhn.redhat.com/errata/RHSA-2011-0434.html
Comment 41 Vincent Danen 2011-04-11 16:50:16 EDT
Created spacewalk-backend tracking bugs for this issue

Affects: fedora-all [bug 695494]

Note You need to log in before you can comment on or make changes to this bug.